.track {
  height: 500vh;
  position: relative;
}

.fixed {
  width: 100%;
  height: 100vh;
  position: fixed;
  inset: 0%;
}

.embed {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.background-video {
  filter: contrast(95%) saturate(90%);
  pointer-events: none;
  height: 100vh;
}

.hero-div-text {
  pointer-events: none;
  background-color: #0000;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  font-size: 100px;
  display: flex;
  position: absolute;
  inset: 0%;
}

.hero-title-text {
  pointer-events: none;
  color: #fff;
  letter-spacing: 1.4px;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 80px;
  margin-left: auto;
  margin-right: auto;
  font-family: Playfair Display, sans-serif;
  font-size: 124px;
  font-weight: 400;
  display: flex;
  position: static;
  inset: 0%;
}

.hero-subtitle-text {
  pointer-events: none;
  color: #fff;
  letter-spacing: 2.25px;
  text-transform: uppercase;
  text-overflow: clip;
  background-color: #0000;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
  padding: 10px;
  font-family: Inter, sans-serif;
  font-size: 24px;
  font-weight: 200;
  display: flex;
  position: static;
  inset: 0%;
}

.div-block-2 {
  position: absolute;
}

.hero-title-text-copy {
  color: #fff;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
  font-family: Palatino Linotype, Book Antiqua, Palatino, serif;
  font-weight: 400;
  display: flex;
  position: absolute;
  inset: 0%;
}

.hero-corner-text {
  pointer-events: none;
  color: #434e3e;
  letter-spacing: 2.25px;
  text-transform: uppercase;
  cursor: auto;
  margin-left: 3rem;
  padding-left: 0;
  font-family: Inter, sans-serif;
  font-size: 1rem;
  line-height: 30px;
  position: absolute;
  inset: auto auto 5% 0;
}

.nav_menu-dot {
  background-color: #fff;
  border-radius: 100%;
  min-width: 10px;
  max-width: 10px;
  min-height: 10px;
  max-height: 10px;
}

.nav_menu-dot.bottom-right {
  position: absolute;
  bottom: 0;
  right: 0;
}

.nav_menu-dot.top-left {
  position: absolute;
  top: 0;
  left: 0;
}

.nav_menu-dot.top-right {
  position: absolute;
  top: 0;
  right: 0;
}

.nav_menu-dot.bottom-left {
  position: absolute;
  bottom: 0;
  left: 0;
}

.navbar {
  background-color: #0000;
  height: 0;
  margin-top: 1rem;
  padding-top: 0;
  padding-left: 3rem;
  padding-right: 3rem;
  position: fixed;
  inset: 0 0% auto;
}

.text_arrow_up_right-icon {
  font-size: 1rem;
}

.nav_menu-mobile_button {
  pointer-events: auto;
  display: none;
}

.nav-title-header {
  float: left;
  clear: none;
  color: #000;
  text-align: center;
  flex-flow: row-reverse;
  justify-content: center;
  align-items: stretch;
  text-decoration: none;
  display: none;
  position: static;
}

.nav_menu-list {
  align-self: stretch;
  align-items: center;
  display: flex;
  position: relative;
}

.nav_link {
  color: #000000e6;
  letter-spacing: 2.25px;
  background-color: #f6f6f5;
  border-radius: 4px;
  margin-right: .5rem;
  padding: .5rem 1rem;
  font-family: Inconsolata, monospace;
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.5;
  transition: all .2s;
  position: relative;
}

.nav_link:hover {
  color: #000000e6;
  background-color: #dfdfdf;
}

.nav_link.w--current {
  color: #000;
}

.nav_link.w--current:hover {
  color: #a259ff;
}

.nav_link.menu {
  color: #434e3e;
  text-transform: uppercase;
  background-color: #f6f6f500;
  margin-left: .25rem;
  margin-right: .25rem;
  font-family: Inter, sans-serif;
  font-weight: 400;
}

.nav_link.menu:hover {
  color: #d8d8d8;
}

.nav_link.goldfit {
  display: none;
}

.nav_link.our-story {
  color: #434e3e;
  text-transform: uppercase;
  background-color: #f6f6f500;
  margin-left: .25rem;
  margin-right: .25rem;
  font-family: Inter, sans-serif;
  font-size: 1rem;
  font-weight: 400;
}

.nav_link.our-story:hover {
  color: #d8d8d8;
}

.nav_link.moodjournal {
  display: none;
}

.nav_link.visit-us {
  color: #434e3e;
  text-transform: uppercase;
  background-color: #f6f6f500;
  margin-left: .25rem;
  margin-right: .25rem;
  padding-right: 0;
  font-family: Inter, sans-serif;
  font-size: 1rem;
  font-weight: 400;
  display: block;
}

.nav_link.visit-us:hover {
  color: #d8d8d8;
  background-color: #f6f6f500;
}

.nav_menu-wrapper {
  flex-direction: row;
  align-items: center;
}

.nav_primary_logo-link {
  background-color: #ebebeb00;
  border-radius: 4px;
  order: -1;
  padding: .15rem .5rem .15rem 0;
  transition: all .2s;
}

.text_lighting-icon {
  color: #ffc38f;
}

.nav_menu-mobile_button_visuals {
  z-index: 3;
  min-width: 32px;
  max-width: 32px;
  min-height: 32px;
  max-height: 32px;
  transform-style: preserve-3d;
  background-color: #0000;
  padding: 0;
  transition: transform .3s;
}

.nav_menu-mobile_button_visuals:hover {
  transform: scale3d(1.06, 1.06, 1.01);
}

.nav_menu-mobile_button_visuals.w--open {
  background-color: #0000;
}

.nav_container {
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: 100vw;
  margin-left: auto;
  margin-right: auto;
  padding-top: 1rem;
  padding-bottom: 1rem;
  display: flex;
}

.nav-title {
  color: #434e3e;
  letter-spacing: 2.25px;
  text-transform: uppercase;
  font-family: Playfair Display, sans-serif;
  font-size: 1.75rem;
  font-weight: 400;
  transition: all .2s;
}

.nav-title:hover {
  color: #d8d8d8;
}

.rotating-text {
  position: absolute;
  inset: -15% -15% auto auto;
}

.rotating-text.to-the-left {
  pointer-events: auto;
  margin-right: 2rem;
  inset: auto 0% 5% auto;
}

.circle-container {
  color: #fff;
  justify-content: center;
  align-items: center;
  width: 150px;
  max-width: 100vw;
  height: 150px;
  max-height: 100vw;
  text-decoration: none;
  display: flex;
  position: relative;
}

.circle-text-section {
  z-index: 10;
  text-align: center;
  letter-spacing: 5px;
  text-transform: uppercase;
  margin-right: 5px;
  font-family: Inter, sans-serif;
  font-size: 15px;
  font-weight: 200;
  position: relative;
  overflow: visible;
}

.arrow-scroll {
  border: 2px none undefined;
  filter: invert();
  color: #6d7494;
  text-transform: uppercase;
  background-color: #e9eaef00;
  background-image: url('../images/arrow.svg');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: 50% 50%;
  background-attachment: scroll;
  border-radius: 99999px;
  width: 60px;
  height: 60px;
  font-size: 1rem;
  font-weight: 500;
  text-decoration: none;
  position: absolute;
  left: auto;
}

.link-block {
  justify-content: center;
  align-items: center;
  transition: all .2s;
  display: flex;
  position: absolute;
  inset: auto;
}

.link-block:hover {
  transform: translate(0, 10px);
}

.hero-left-text {
  pointer-events: none;
  color: #434e3e;
  letter-spacing: 2.25px;
  writing-mode: vertical-lr;
  justify-content: center;
  align-items: center;
  margin-left: 3rem;
  font-family: Inter, sans-serif;
  font-size: 18px;
  display: flex;
  position: absolute;
  inset: 0% auto 0% 0%;
  transform: rotate(0);
}

.hero-right-text {
  pointer-events: none;
  color: #434e3e;
  letter-spacing: 2.25px;
  writing-mode: vertical-lr;
  justify-content: center;
  align-items: center;
  margin-left: 0;
  margin-right: 3rem;
  font-family: Inter, sans-serif;
  font-size: 18px;
  display: flex;
  position: absolute;
  inset: 0% 0% 0% auto;
  transform: rotate(0);
}

.anchor-link {
  justify-content: center;
  align-items: center;
  transition: all .2s;
  display: flex;
  position: absolute;
  inset: auto;
}

.anchor-link:hover {
  transform: translate(0, 10px);
}

@media screen and (max-width: 991px) {
  .background-video {
    z-index: -5;
  }

  .hero-title-text {
    margin-bottom: 60px;
    font-size: 100px;
  }

  .hero-subtitle-text {
    font-size: 20px;
  }

  .nav_menu-dot.bottom-right, .nav_menu-dot.top-left, .nav_menu-dot.top-right, .nav_menu-dot.bottom-left {
    background-color: #fff;
  }

  .navbar {
    height: 5rem;
    margin-top: 0;
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  .nav_menu-mobile_button {
    display: block;
  }

  .nav-title-header {
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    flex-flow: row;
    justify-content: flex-start;
    align-items: stretch;
    transform: scale(1.1);
  }

  .nav_menu-list {
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    text-align: left;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    padding-left: 1rem;
    padding-right: 1rem;
    display: flex;
    position: fixed;
    inset: -4rem 0% 0%;
  }

  .nav_link {
    text-align: left;
    background-color: #f6f6f500;
    border-bottom: 1px #0000004d;
    border-radius: 20px;
    justify-content: center;
    align-items: center;
    width: 70%;
    height: 8%;
    margin: 0 0 .5rem 0;
    padding-bottom: .5rem;
    font-size: 1rem;
    text-decoration: none;
    display: flex;
  }

  .nav_link:hover {
    background-color: #0000;
  }

  .nav_link.menu, .nav_link.our-story {
    color: #fff;
  }

  .nav_link.visit-us {
    color: #fff;
    padding-right: 1rem;
    display: flex;
  }

  .nav_menu-wrapper {
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    text-align: center;
    background-color: #47474799;
    border-top: 1px #000;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    padding-top: 1rem;
    padding-bottom: 1rem;
    display: flex;
    position: fixed;
    inset: 0%;
    overflow: auto;
  }

  .hero-left-text, .hero-right-text {
    z-index: -1;
  }
}

@media screen and (max-width: 767px) {
  .background-video {
    z-index: -5;
  }

  .hero-title-text {
    text-align: left;
    text-overflow: clip;
    white-space: nowrap;
    word-break: normal;
    overflow-wrap: normal;
    margin-bottom: 40px;
    font-size: 80px;
    overflow: visible;
  }

  .hero-subtitle-text {
    white-space: nowrap;
    font-size: 18px;
  }

  .navbar {
    height: 4rem;
    margin-top: 0;
    padding: 1rem;
  }

  .nav_menu-list {
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    top: -4rem;
  }

  .nav_link {
    background-color: #f6f6f500;
  }

  .nav_link.visit-us {
    display: flex;
  }

  .nav_menu-wrapper {
    background-color: #47474799;
  }

  .nav_primary_logo-link, .nav_primary_logo-link.w--current {
    padding-left: .5rem;
  }

  .nav_container {
    padding-top: .75rem;
    padding-bottom: .5rem;
  }

  .circle-text-section {
    font-size: 16px;
  }

  .hero-left-text, .hero-right-text {
    z-index: -1;
  }
}

@media screen and (max-width: 479px) {
  .background-video {
    z-index: -5;
  }

  .hero-title-text {
    margin-bottom: 40px;
    font-size: 50px;
  }

  .hero-subtitle-text {
    text-align: center;
    white-space: normal;
  }

  .hero-corner-text {
    display: none;
  }

  .nav_menu-dot.top-left {
    background-color: #f0f0f0;
  }

  .navbar {
    height: 4rem;
    margin-top: 0;
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  .nav-title-header {
    display: none;
  }

  .nav_menu-list {
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    margin-top: 0;
    display: flex;
    position: fixed;
    inset: -4rem 0% 0%;
  }

  .nav_link {
    margin-left: 0;
    margin-right: 0;
  }

  .nav_link:hover {
    background-color: #00000005;
    border-radius: 0;
  }

  .nav_menu-wrapper {
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  .nav_primary_logo-link {
    padding-left: .5rem;
  }

  .nav_container {
    padding-top: .5rem;
    padding-bottom: .5rem;
  }

  .rotating-text {
    right: auto;
  }

  .rotating-text.to-the-left {
    margin-right: 0;
    left: auto;
    right: auto;
  }

  .circle-container {
    width: 175px;
    height: 175px;
  }

  .circle-text-section {
    font-size: 14px;
  }

  .hero-left-text, .hero-right-text {
    z-index: -1;
    display: none;
  }
}


